# AssemblerSourceSet

API Documentation: | `AssemblerSourceSet`

Note: This class is incubating and may change in a future version of Gradle.

A set of assembly language sources.

    plugins {
        id 'assembler'
    }

    model {
        components {
            main(NativeLibrarySpec) {
                sources {
                    asm {
                        source {
                            srcDirs "src/main/i386", "src/shared/asm"
                            include "**/*.s"
                        }
                    }
                }
            }
        }
    }

### Properties

Property | Description
`source` | Incubating The source files.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `SourceDirectorySet` `source` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The source files.